/*
 * This file is part of Nuts Framework.
 * Copyright(C) 2009-2012 Nuts Develop Team.
 *
 * Nuts Framework is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 * 
 * Nuts Framework is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Nuts Framework. If not, see <http://www.gnu.org/licenses/>.
 */
package nuts.exts.oxm.adapter.filters;

import nuts.core.oxm.adapter.filters.IncludePropertyFilter;

/**
 */
public class FilterPropertyFilter extends IncludePropertyFilter {
	/**
	 * Constructor
	 */
	public FilterPropertyFilter() {
		this(false);
	}
	
	/**
	 * Constructor
	 * @param shortName shortName
	 * 
	 */
	public FilterPropertyFilter(boolean shortName) {
		if (shortName) {
			includes.add("n");
			includes.add("c");
			includes.add("t");
			includes.add("vs");
		}
		else {
			includes.add("name");
			includes.add("comparator");
			includes.add("type");
			includes.add("values");
		}
	}
}

